# Coffeekraken s-typography-component <img src=".resources/coffeekraken-logo.jpg" height="25px" />

<p>
	<a href="https://travis-ci.org/coffeekraken/s-typography-component">
		<img src="https://img.shields.io/travis/coffeekraken/s-typography-component.svg?style=flat-square" />
	</a>
	<a href="https://www.npmjs.com/package/coffeekraken-s-typography-component">
		<img src="https://img.shields.io/npm/v/coffeekraken-s-typography-component.svg?style=flat-square" />
	</a>
	<a href="https://github.com/coffeekraken/s-typography-component/blob/master/LICENSE.txt">
		<img src="https://img.shields.io/npm/l/coffeekraken-s-typography-component.svg?style=flat-square" />
	</a>
	<!-- <a href="https://github.com/coffeekraken/s-typography-component">
		<img src="https://img.shields.io/npm/dt/coffeekraken-s-typography-component.svg?style=flat-square" />
	</a>
	<a href="https://github.com/coffeekraken/s-typography-component">
		<img src="https://img.shields.io/github/forks/coffeekraken/s-typography-component.svg?style=social&label=Fork&style=flat-square" />
	</a>
	<a href="https://github.com/coffeekraken/s-typography-component">
		<img src="https://img.shields.io/github/stars/coffeekraken/s-typography-component.svg?style=social&label=Star&style=flat-square" />
	</a> -->
	<a href="https://twitter.com/coffeekrakenio">
		<img src="https://img.shields.io/twitter/url/http/coffeekrakenio.svg?style=social&style=flat-square" />
	</a>
	<a href="http://coffeekraken.io">
		<img src="https://img.shields.io/twitter/url/http/shields.io.svg?style=flat-square&label=coffeekraken.io&colorB=f2bc2b&style=flat-square" />
	</a>
</p>

Full stack typography styling for your website including titles, paragraphs, lists, inline styles, blockquotes, etc...

## Table of content

1. **[Demo](http://components.coffeekraken.io/app/s-typography-component)**
2. [Features](#readme-features)
3. [Install](#readme-install)
4. [Get Started](#readme-get-started)
5. [SASS API](doc/sass)
6. [The `tf` and `vr` classes](#readme-tf-vr-classes)
7. [Browsers support](#readme-browsers-support)
8. [Contribute](#readme-contribute)
9. [Who are Coffeekraken?](#readme-who-are-coffeekraken)
10. [Licence](#readme-license)

<a name="readme-features"></a>
## Features

1. Title styling `h1 h2 h3 h4 h5 h6`
2. Paragraphs styling `p p.lead`
3. Lists styling `ul ol li dl dt dd`
4. Inline text styling `mark del s ins u small strong em`
5. Caption and figcaption styling `caption figcaption`
6. Quote styling `quote blockquote cite`

<a name="readme-install"></a>
## Install

```
npm install coffeekraken-s-typography-component --save
```

<a name="readme-get-started"></a>
## Get Started

First, import the component into your scss file like so:

```scss
@import 'node_modules/coffeekraken-s-typography-component/index';
```

Then simply generate the classes using the component mixin like so:

```scss
@include s-typography-classes(
	$color: primary
);
```

And finally use the classes inside your html

```html
<!-- directly with tags in scoped tf (text format) class -->
<!-- applying vertical rhythm using the vr class -->
<div class="tf vr">
	<h1>Hello world</h1>
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vehicula, lorem accumsan semper tincidunt, metus diam porta tellus.</p>
	<ul>
		<li>List item #1</li>
		<li>List item #2</li>
		<li>List item #3</li>
	</ul>
</div>

<!-- by applying style implicitely with classes -->
<h1 class="h2">Hello world</h1>
<p class="p">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vehicula, lorem accumsan semper tincidunt, metus diam porta tellus.</p>
<ul class="ul">
	<li class="li">List item #1</li>
	<li class="li">List item #2</li>
	<li class="li">List item #3</li>
</ul>
```

<a id="readme-tf-vr-classes"></a>
## The `tf` and `vr` classes

The `tf` class is for "text format". It allows you to apply typography styling on the tags that are scoped inside it like so:

```html
<div class="tf">
	<h1>I will be styled like an h1</h1>
</div>
<h1>I will not bein styled like an h1</h1>
<h1 class="h1">I will be styled like an h1</h1>
```

The `vr` class is for "vertical rhythm". It allows you to apply margins between typography styled elements on the tags that are scoped inside it like so:

```html
<div class="tf vr">
	<h1>I will be styled like an h1 and have a margin bottom if needed</h1>
	<p>I will be styled like a paragraph and have a margin bottom if needed</p>
</div>
```

<a id="readme-browsers-support"></a>
## Browsers support

| <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/edge.png" alt="IE / Edge" width="16px" height="16px" /></br>IE / Edge | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/firefox.png" alt="Firefox" width="16px" height="16px" /></br>Firefox | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/chrome.png" alt="Chrome" width="16px" height="16px" /></br>Chrome | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/safari.png" alt="Safari" width="16px" height="16px" /></br>Safari |
| --------- | --------- | --------- | --------- |
| IE11+ | last 2 versions| last 2 versions| last 2 versions

> As browsers are automatically updated, we will keep as reference the last two versions of each but this component can work on older ones as well.

> The webcomponent API (custom elements, shadowDOM, etc...) is not supported in some older browsers like IE10, etc... In order to make them work, you will need to integrate the [corresponding polyfill](https://www.webcomponents.org/polyfills).

<a id="readme-contribute"></a>
## Contribute

This is an open source project and will ever be! You are more that welcomed to contribute to his development and make it more awesome every day.
To do so, you have several possibilities:

1. [Share the love ❤️](https://github.com/Coffeekraken/coffeekraken/blob/master/contribute.md#contribute-share-the-love)
2. [Declare issues](https://github.com/Coffeekraken/coffeekraken/blob/master/contribute.md#contribute-declare-issues)
3. [Fix issues](https://github.com/Coffeekraken/coffeekraken/blob/master/contribute.md#contribute-fix-issues)
4. [Add features](https://github.com/Coffeekraken/coffeekraken/blob/master/contribute.md#contribute-add-features)
5. [Build web component](https://github.com/Coffeekraken/coffeekraken/blob/master/contribute.md#contribute-build-web-component)

<a id="readme-who-are-coffeekraken"></a>
## Who are Coffeekraken

We try to be **some cool guys** that build **some cool tools** to make our (and yours hopefully) **every day life better**.  

#### [More on who we are](https://github.com/Coffeekraken/coffeekraken/blob/master/who-are-we.md)

<a id="readme-license"></a>
## License

The code is available under the [MIT license](LICENSE.txt). This mean that you can use, modify, or do whatever you want with it. This mean also that it is shipped to you for free, so don't be a hater and if you find some issues, etc... feel free to [contribute](https://github.com/Coffeekraken/coffeekraken/blob/master/contribute.md) instead of sharing your frustrations on social networks like an asshole...
