module.exports = {
	// server port
	port : 3000,

	// title
	title : 's-typography-component',

	// layout
	layout : 'right',

	// compile server
	compileServer : {

		// compile server port
		port : 4000

	},

	// editors
	editors : {
		html : {
			language : 'html',
			data : `
				<!-- scope the markup inside a "tf" (text format) class. to allow the styling of the elements inside -->
				<div class="tf">
					<h1 class="m-b">Title #1</h1>
					<h2 class="m-b">Title #2</h2>
					<h3 class="m-b">Title #3</h3>
					<h4 class="m-b">Title #4</h4>
					<h5 class="m-b">Title #5</h5>
					<h6 class="m-b">Title #6</h6>
					<p class="lead m-b">
						Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent convallis, felis euismod scelerisque pretium.
					</p>
					<p class="m-b">
						Lorem ipsum dolor sit amet, <a href="#">consectetur adipiscing</a> elit. Praesent convallis, <mark>felis euismod scelerisque</mark> pretium, massa odio <del>gravida eros</del>, quis <s>pellentesque enim lectus</s> sed metus. <ins>Ut semper lectus</ins> libero, <u>quis imperdiet ligula</u> mollis in. <small>Proin sollicitudin ullamcorper</small> est quis egestas. <strong>Duis tortor metus</strong>, efficitur quis nisl non, <em>sagittis cursus diam</em>. Aliquam ac cursus nulla, vel finibus sem. Suspendisse potenti. Proin ac pharetra felis. Morbi fringilla augue id erat faucibus maximus. Sed rutrum arcu velit. Integer dolor est, efficitur quis euismod et, porta nec neque. Curabitur ex justo, ullamcorper at tincidunt sagittis, fermentum at libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus eros sapien, tristique sit amet rhoncus nec, consectetur maximus lacus. Ut mollis leo cursus orci posuere ultrices. Nulla quam dolor, iaculis nec cursus ornare, placerat sodales ex. Suspendisse aliquet dolor leo, vitae finibus lacus venenatis nec.
					</p>
					<ul class="m-b">
						<li>List item #1</li>
						<li>List item #2</li>
						<li>List item #3</li>
						<li>List item #4</li>
						<li>
							List item #5
							<ul>
								<li>List item #1</li>
								<li>List item #2</li>
								<li>List item #3</li>
								<li>List item #4</li>
							</ul>
						</li>
					</ul>
					<ol class="ol m-b">
						<li>List item #1</li>
						<li>List item #2</li>
						<li>List item #3</li>
						<li>List item #4</li>
						<li>
							List item #5
							<ol>
								<li>List item #1</li>
								<li>List item #2</li>
								<li>List item #3</li>
								<li>List item #4</li>
							</ol>
						</li>
					</ol>
					<dl>
						<dt>List item #1</dt>
						<dd>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent convallis, felis euismod scelerisque pretium.</dd>
						<dt>List item #2</dt>
						<dd>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent convallis, felis euismod scelerisque pretium.</dd>
						<dt>List item #3</dt>
						<dd>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent convallis, felis euismod scelerisque pretium.</dd>
						<dt>List item #4</dt>
						<dd>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent convallis, felis euismod scelerisque pretium.</dd>
						<dt>List item #5</dt>
						<dd>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent convallis, felis euismod scelerisque pretium.</dd>
					</dl>
					<blockquote>
						Lorem ipsum dolor sit amet, consectetur adipiscing elit.
						<cite>John Doe</cite>
					</blockquote>
				</div>
			`
		},
		css : {
			language : 'sass',
			data : `
				@import 'node_modules/coffeekraken-sugar/index';
				@include s-init();
				@include s-classes();
				body {
					background-image: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%);
				}
				@import 'index';
				// @import 'node_modules/coffeekraken-s-typography-component/index';
				@include s-typography-classes();
			`
		},
		js : null
	}
}
